const disposeImpl = async (pool, disconnect) => {
  const adapterPools = [...pool.adapterPoolMap.values()];
  pool.adapterPoolMap.clear();

  for (const adapterPool of adapterPools) {
    await disconnect(adapterPool);
  }
};

const wrapDispose = (pool, disconnect) => pool.withPerformanceTracer(pool, 'dispose', disposeImpl.bind(null, pool, disconnect));

export default wrapDispose;
//# sourceMappingURL=wrap-dispose.js.map