const operationImpl = async (pool, operationFunc, store, readModelName, ...args) => {
  const adapterPool = pool.adapterPoolMap.get(store);

  if (adapterPool == null) {
    throw new Error(`Read-model adapter pool is null`);
  }

  const result = await operationFunc(adapterPool, readModelName, ...args);
  return result;
};

const wrapOperation = (pool, operationName, operationFunc) => pool.withPerformanceTracer(pool, operationName, operationImpl.bind(null, pool, operationFunc));

export default wrapOperation;
//# sourceMappingURL=wrap-operation.js.map